/*
 * GGPS: GPS satellite information display using GTK+ toolkit
 * Copyright 1999 Eric Smith <eric@brouhaha.com>
 *
 * I/O routines and NMEA sentence parsing
 *
 * $Id: nmea.h,v 1.4 1999/07/10 05:45:55 eric Exp $
 */

#define MAX_SAT 12

typedef struct
{
  int prn;        /* satellite PRN number, 1 to 32 */
  int elevation;  /* 0 to 90 degrees */
  int azimuth;    /* 0 to 359 degrees */
  int snr;        /* signal to noise ratio, 0 to 99 dB, -1 if not tracking */
} t_sat_info;


extern int sat_info_updated;  /* boolean */

extern int sats;
extern t_sat_info sat_info [MAX_SAT];


typedef void (*rs_callback) (void *);

/* fd is the Unix file descriptor to read NMEA data from */
void nmea_init (int fd,
		rs_callback rsc,
		void *rscd);
